#include <stdio.h>
#include <string.h>
#include <math.h>
#include "Property.h"
#include "Func.h"
#include "types.h"

/* これは必須 */
SchedDefineTask(PropertyTask);

typedef struct {
    float x, y, z;
} Property, *PropertyPtr;

static int
run(SchedTask *s,void *rbuf, void *wbuf)
{
    PropertyPtr	property	= (PropertyPtr)s->get_input(rbuf, 0);
    PropertyPtr	update_property = (PropertyPtr)s->get_output(wbuf, 0);

    property->x += 1.0f;
    property->y += 1.0f;
    property->z += 1.0f;

    memcpy((void*)update_property, (void*)property, sizeof(Property));
    return 0;
}
